com.saxonica.xslt3.style

## Class TextValueTemplateNode

- java.lang.Object
- - net.sf.saxon.tree.linked.NodeImpl
  - - net.sf.saxon.tree.linked.TextImpl
    - - com.saxonica.xslt3.style.TextValueTemplateNode

- All Implemented Interfaces:
    Source, SourceLocator, PullEvent, FingerprintedNode, Item, MutableNodeInfo, NodeInfo, Sequence, SteppingNode, SiblingCountingNode

      public class TextValueTemplateNode
      extends TextImpl

  A text node in an XSLT 3.0 stylesheet that may or may not contain a text value template

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.linked.NodeImpl

      `NODE_LETTER`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextValueTemplateNode(String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `getContentExpression()`
    `TextValueTemplateContext` | `getStaticContext()`
    `void` | `validate()`

    - ### Methods inherited from class net.sf.saxon.tree.linked.TextImpl

      `appendStringValue, copy, getNodeKind, getStringValue, replaceStringValue`

    - ### Methods inherited from class net.sf.saxon.tree.linked.NodeImpl

      `addAttribute, addNamespace, atomize, compareOrder, comparePosition, delete, equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getFirstChild, getLastChild, getLineNumber, getLocalPart, getNameCode, getNamePool, getNextInDocument, getNextSibling, getParent, getPhysicalRoot, getPrefix, getPreviousInDocument, getPreviousSibling, getPublicId, getRawParent, getRoot, getSchemaType, getSequenceNumber, getSiblingPosition, getStringValueCS, getSuccessorElement, getSystemId, getTypeAnnotation, getURI, hasChildNodes, head, insertChildren, insertSiblings, isDeleted, isId, isIdref, isNilled, isSameNodeInfo, iterate, iterateAxis, iterateAxis, newBuilder, removeAttribute, removeTypeAnnotation, rename, replace, setRawParent, setSiblingPosition, setSystemId, setTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `hashCode`

- - ### Constructor Detail

    - #### TextValueTemplateNode

          public TextValueTemplateNode(String value)

  - ### Method Detail

    - #### getContentExpression

          public Expression getContentExpression()

    - #### getStaticContext

          public TextValueTemplateContext getStaticContext()

    - #### validate

          public void validate()
                        throws XPathException

      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.